## org.apache.xmlcommons
Class Version

    java.lang.Object
      |
      +--org.apache.xmlcommons.Version

public class Version
extends java.lang.Object

Administrative class to keep track of the version number of xml-commons external sources releases. See xml-commons/java/external/build.xml for filtering on 1.0, etc.

Constructor Summary
`Version()`

Method Summary
`static java.lang.String` `getProduct()` Get just the product name.
`static java.lang.String` `getVersion()` Get the basic version string for the current xml-commons external sources release.
`static java.lang.String` `getVersionNum()` Get just the version number v.r.
`static void` `main(java.lang.String[] argv)` Print the release version to the command line.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Version

    public Version()

Method Detail

### getVersion

    public static java.lang.String getVersion()

  Get the basic version string for the current xml-commons external sources release. Version String formatted like `"XmlCommons v.r"`. Futurework: have this read version info from jar manifest.
  Returns:
    String denoting our current version

### getProduct

    public static java.lang.String getProduct()

  Get just the product name.
  Returns:
    String denoting our product name

### getVersionNum

    public static java.lang.String getVersionNum()

  Get just the version number v.r.
  Returns:
    String denoting our current version number

### main

    public static void main(java.lang.String[] argv)

  Print the release version to the command line.
  Parameters:
    `argv` - command line arguments, unused.

Copyright © 2006 Apache XML Project. All Rights Reserved.